import { makeAutoObservable } from "mobx";

class MenuStore {
  isOpen: boolean = true;

  constructor() {
    makeAutoObservable(this);
  }

  setIsMenuOpen = (isOpen: boolean) => {
    this.isOpen = isOpen;
  };
}

export const menuStore = new MenuStore();
